#!/bin/bash

HOSTNAME=${GIT_HOST}
GIT_PROJECT="maven-java16"
GIT_PROJECT_DIR="/git"


if [ -z "${GIT_HOST}" ]; then
    echo "Error - Variable GIT_HOST not set."
    exit 1;
fi

if [ -z "${GIT_USER}" ]; then
    echo "Error - Variable GIT_USER not set."
    exit 3;
fi

if [ -z "${GIT_PASSWORD}" ]; then
    echo "Error - Variable GIT_PASSWORD not set."
    exit 4;
fi

echo "http://${GIT_USER}:${GIT_PASSWORD}@${HOSTNAME}" > /work/.git-credentials

git config --global user.name "${GIT_USER}"
git config --global user.email "${GIT_USER_EMAIL}"
git config --global user.name "${GIT_USER_NAME}"

cd ${GIT_PROJECT_DIR}

for project in *; do
  echo "Create git project ${project} on ${HOSTNAME} if needed"
  PATH_TO_PROJECT="${GIT_PROJECT_DIR}/${project}"
  /usr/bin/wait-for-git.sh ${HOSTNAME} ${GIT_USER} ${project} && echo "Project ${project} already created" || /usr/bin/create-project.sh ${HOSTNAME} ${GIT_USER} ${project} ${PATH_TO_PROJECT}
done



